/*
 *  ofxSOADSR.h
 *  openFrameworks
 *
 *  Created by base on 10/27/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef OFX_SO_ADSR
#define OFX_SO_ADSR

#include "ofxBaseSndObj.h"
#include "ofxSndObj.h"

#include <string>

class ofxSndObj;

class ofxSOADSR : public ofxBaseSndObj {

public:
	ofxSOADSR();
	~ofxSOADSR();
	
	void init(ofxSndObj* parent, float attack, float maxamp, float decay, float sustain, float release, float duration);
	void init(ofxSndObj* parent, float attack, float maxamp, float decay, float sustain, float release, float duration, ofxBaseSndObj inObject, int type);
	
	void setMaximumAmplitude(float maxamp);
	void setADSRParams(float attack, float decay, float sustain, float release);
	void setDuration(float duration);
	void sustain();
	
protected:
	ofxSndObj* sndobj;

};
#endif
